
_interrupt:

;PIC18F14K22test.mbas,20 :: 		sub procedure interrupt  ' high priority interrupts
;PIC18F14K22test.mbas,21 :: 		if INT0IF_bit = 1 then
	BTFSS       INT0IF_bit+0, BitPos(INT0IF_bit+0) 
	GOTO        L__interrupt2
;PIC18F14K22test.mbas,22 :: 		LED2 = 1  ' LED2 ON
	BSF         LATC1_bit+0, BitPos(LATC1_bit+0) 
;PIC18F14K22test.mbas,23 :: 		INT0IF_bit = 0
	BCF         INT0IF_bit+0, BitPos(INT0IF_bit+0) 
L__interrupt2:
;PIC18F14K22test.mbas,25 :: 		end sub
L_end_interrupt:
L__interrupt17:
	RETFIE      1
; end of _interrupt

_interrupt_low:
	MOVWF       ___Low_saveWREG+0 
	MOVF        STATUS+0, 0 
	MOVWF       ___Low_saveSTATUS+0 
	MOVF        BSR+0, 0 
	MOVWF       ___Low_saveBSR+0 

;PIC18F14K22test.mbas,27 :: 		sub procedure interrupt_low  ' low priority interrupts
;PIC18F14K22test.mbas,28 :: 		if INT1IF_bit = 1 then
	BTFSS       INT1IF_bit+0, BitPos(INT1IF_bit+0) 
	GOTO        L__interrupt_low6
;PIC18F14K22test.mbas,29 :: 		LED2 = 0  ' LED2 OFF
	BCF         LATC1_bit+0, BitPos(LATC1_bit+0) 
;PIC18F14K22test.mbas,30 :: 		INT1IF_bit = 0
	BCF         INT1IF_bit+0, BitPos(INT1IF_bit+0) 
L__interrupt_low6:
;PIC18F14K22test.mbas,32 :: 		end sub
L_end_interrupt_low:
L__interrupt_low19:
	MOVF        ___Low_saveBSR+0, 0 
	MOVWF       BSR+0 
	MOVF        ___Low_saveSTATUS+0, 0 
	MOVWF       STATUS+0 
	SWAPF       ___Low_saveWREG+0, 1 
	SWAPF       ___Low_saveWREG+0, 0 
	RETFIE      0
; end of _interrupt_low

_main:

;PIC18F14K22test.mbas,36 :: 		main:
;PIC18F14K22test.mbas,37 :: 		IRCF2_bit = 1   ' internal osc 16MHz
	BSF         IRCF2_bit+0, BitPos(IRCF2_bit+0) 
;PIC18F14K22test.mbas,38 :: 		IRCF1_bit = 1
	BSF         IRCF1_bit+0, BitPos(IRCF1_bit+0) 
;PIC18F14K22test.mbas,39 :: 		IRCF0_bit = 1
	BSF         IRCF0_bit+0, BitPos(IRCF0_bit+0) 
;PIC18F14K22test.mbas,41 :: 		LED1_TRIS = 0 ' PORT OUTPUT
	BCF         TRISC0_bit+0, BitPos(TRISC0_bit+0) 
;PIC18F14K22test.mbas,42 :: 		LED2_TRIS = 0 ' PORT OUTPUT
	BCF         TRISC1_bit+0, BitPos(TRISC1_bit+0) 
;PIC18F14K22test.mbas,43 :: 		SW1_TRIS  = 1 ' PORT INPUT
	BSF         TRISA0_bit+0, BitPos(TRISA0_bit+0) 
;PIC18F14K22test.mbas,44 :: 		SW2_TRIS  = 1 ' PORT INPUT
	BSF         TRISA1_bit+0, BitPos(TRISA1_bit+0) 
;PIC18F14K22test.mbas,45 :: 		ANS0_bit  = 0 ' SW1 digital input
	BCF         ANS0_bit+0, BitPos(ANS0_bit+0) 
;PIC18F14K22test.mbas,46 :: 		ANS1_bit  = 0 ' SW2 digital input
	BCF         ANS1_bit+0, BitPos(ANS1_bit+0) 
;PIC18F14K22test.mbas,48 :: 		INTEDG0_bit = 0 ' Interrupt on falling edge
	BCF         INTEDG0_bit+0, BitPos(INTEDG0_bit+0) 
;PIC18F14K22test.mbas,49 :: 		INTEDG1_bit = 0 ' Interrupt on falling edge
	BCF         INTEDG1_bit+0, BitPos(INTEDG1_bit+0) 
;PIC18F14K22test.mbas,50 :: 		INT1IP_bit  = 0 ' INT1 Low  priority interrupt
	BCF         INT1IP_bit+0, BitPos(INT1IP_bit+0) 
;PIC18F14K22test.mbas,51 :: 		INT0IE_bit  = 1 ' Enable INT0 interrupt
	BSF         INT0IE_bit+0, BitPos(INT0IE_bit+0) 
;PIC18F14K22test.mbas,52 :: 		INT1IE_bit  = 1 ' Enable INT1 interrupt
	BSF         INT1IE_bit+0, BitPos(INT1IE_bit+0) 
;PIC18F14K22test.mbas,54 :: 		IPEN_bit    = 1 ' Enable priority levels on interrupts
	BSF         IPEN_bit+0, BitPos(IPEN_bit+0) 
;PIC18F14K22test.mbas,55 :: 		GIEH_bit    = 1 ' Enables all high priority interrupts
	BSF         GIEH_bit+0, BitPos(GIEH_bit+0) 
;PIC18F14K22test.mbas,56 :: 		GIEL_bit    = 1 ' Enables all low  priority interrupts
	BSF         GIEL_bit+0, BitPos(GIEL_bit+0) 
;PIC18F14K22test.mbas,58 :: 		while true     ' blink LED1
L__main10:
;PIC18F14K22test.mbas,59 :: 		LED1 = 1
	BSF         LATC0_bit+0, BitPos(LATC0_bit+0) 
;PIC18F14K22test.mbas,60 :: 		delay_ms(500)
	MOVLW       11
	MOVWF       R11, 0
	MOVLW       38
	MOVWF       R12, 0
	MOVLW       93
	MOVWF       R13, 0
L__main14:
	DECFSZ      R13, 1, 1
	BRA         L__main14
	DECFSZ      R12, 1, 1
	BRA         L__main14
	DECFSZ      R11, 1, 1
	BRA         L__main14
	NOP
	NOP
;PIC18F14K22test.mbas,61 :: 		LED1 = 0
	BCF         LATC0_bit+0, BitPos(LATC0_bit+0) 
;PIC18F14K22test.mbas,62 :: 		delay_ms(500)
	MOVLW       11
	MOVWF       R11, 0
	MOVLW       38
	MOVWF       R12, 0
	MOVLW       93
	MOVWF       R13, 0
L__main15:
	DECFSZ      R13, 1, 1
	BRA         L__main15
	DECFSZ      R12, 1, 1
	BRA         L__main15
	DECFSZ      R11, 1, 1
	BRA         L__main15
	NOP
	NOP
;PIC18F14K22test.mbas,63 :: 		wend
	GOTO        L__main10
L_end_main:
	GOTO        $+0
; end of _main
